std::basic_streambuf::pubseekpos,(3)

NAME
std::basic_streambuf::pubseekpos, - std::basic_streambuf::pubseekpos,

Synopsis
   pos_type pubseekpos( pos_type pos, (1)
   std::ios_base::openmode which = std::ios_base::in | std::ios_base::out );
   protected:
   virtual pos_type seekpos( pos_type pos, (2)
   std::ios_base::openmode which = std::ios_base::in | std::ios_base::out);
   Sets the position indicator of the input and/or output sequence to an absolute
   position.
   1) Calls seekpos(pos, which) of the most derived class
   2) The base class version of this function has no effect. The derived classes may
   override this function to allow absolute positioning of the position indicator.

Parameters
   pos - absolute position to set the position indicator to.
           defines which of the input and/or output sequences to affect. It can be one
           or a combination of the following constants:
   which -
           Constant Explanation
           in affect the input sequence
           out affect the output sequence

Return value
   1) The return value of seekpos(pos, which)
   2) The resulting absolute position as defined by the position indicator. The base
   class version returns pos_type(off_type(-1)).

Example
    This section is incomplete
    Reason: no example

See also
   pubseekoff invokes seekoff()
              (public member function)